maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Brett Porter" <brett.por...@gmail.com>
Subject Re: Can't I define the parent pom's version is LATEST?
Date Wed, 08 Oct 2008 03:12:05 GMT
The parent does not accept any form of version range.

Please refer to the following issue: http://jira.codehaus.org/browse/MNG-624

Cheers,
Brett

2008/10/8 陈思淼 <chensimiao@gmail.com>:
> I create a parent pom which contain the repository url and the common
> plugin, all my pom are derived from this pom, my define like this:
>>
>>   <parent>
>>
>   <groupId>com.mycompany</groupId>
>>
>   <artifactId>parent</artifactId>
>>
>   <version> LATEST</version>
>
>  </parent>
>
>  I want to define the version is LATEST so all the project can get the
> latest parent pom, but the maven dont allow me to do this, why can define
> the dependent artifact version to be LATEST and cant define the parent pom?
>



-- 
Brett Porter
Blog: http://blogs.exist.com/bporter/
Mime
View raw message